---
updatedAt: 2026-05-15T20:15:05.000Z
agentTools:
  siteIndex: https://developers.pismo.io/llms.txt
  projectIndex: https://developers.pismo.io/pismo-docs/llms.txt
---

# List recurrence authorizations

List Pix Automatic recurrence authorizations. By default, recurrences authorizations from the last 30 days with 20 records per page are returned, but you can use the `beginDate` and `endDate` query parameters to specify a different date range.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Instant payments - Automatic Pix",
    "description": "API to handle Automatic Pix transactions",
    "termsOfService": "https://developers.pismo.io/terms/",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/",
      "email": "support@pismo.com.br"
    },
    "license": {
      "name": "Copyright Pismo",
      "url": "https://developers.pismo.io/licenses/"
    },
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox-cdn.pismolabs.io",
      "description": "Ext API server for testing"
    },
    {
      "url": "https://sandbox-cdn.pismolabs.io/inst-pull-pay",
      "description": "Ext API server for testing Automatic Pix."
    }
  ],
  "tags": [
    {
      "name": "Automatic Pix data"
    }
  ],
  "components": {
    "parameters": {
      "AfterIdQuery": {
        "in": "query",
        "name": "afterId",
        "description": "Last returned item ID from response. Use this field to return more results.",
        "required": false,
        "schema": {
          "type": "string"
        }
      },
      "AuthHeader": {
        "in": "header",
        "name": "Authorization",
        "required": true,
        "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in a <b>401 Unauthorized</b> message.",
        "schema": {
          "type": "string",
          "example": "Bearer eyJhbGci...IUzUx"
        }
      },
      "AutomaticPixExecutionStatusQuery": {
        "name": "status",
        "in": "query",
        "required": false,
        "schema": {
          "type": "string",
          "enum": [
            "CREATED",
            "RECEIVED",
            "ACCEPTED",
            "REJECTED",
            "EXPIRED",
            "CANCELLED"
          ]
        },
        "description": "Execution status filter",
        "example": "CREATED"
      },
      "BeginDateQueryOptional": {
        "name": "beginDate",
        "in": "query",
        "description": "RFC 3339 begin date filter. For example: `2023-04-12T23:20:50.52Z`. \n\nMaximum days allowed between `beginDate` and `endDate` is 30.\nThe default is 30 days prior to the current date.\n",
        "required": false,
        "schema": {
          "type": "string"
        },
        "example": "2023-04-12T23:20:50.52Z"
      },
      "EndDateQueryOptional": {
        "name": "endDate",
        "in": "query",
        "description": "RFC 3339 end date filter. For example: `2023-04-12T23:20:50.52Z`. \n\nMaximum days allowed between `beginDate` and `endDate` is 30.\nThe default is the current date and time.\n",
        "required": false,
        "schema": {
          "type": "string"
        },
        "example": "2023-04-12T23:20:50.52Z"
      },
      "PerPageQuery": {
        "name": "perPage",
        "in": "query",
        "description": "Per page amount (min=1, max=100). Default is `20`.",
        "required": false,
        "schema": {
          "type": "string"
        }
      },
      "RoleTypeQuery": {
        "name": "roleType",
        "in": "query",
        "required": true,
        "schema": {
          "type": "string",
          "enum": [
            "PAYEE",
            "PAYER"
          ]
        },
        "description": "Role type filter."
      }
    },
    "schemas": {
      "AccountID": {
        "type": "integer",
        "description": "Pismo account ID.",
        "example": 5869300
      },
      "AccountNumber2": {
        "type": "string",
        "description": "Payer's account number.",
        "maxLength": 20,
        "example": "98765432"
      },
      "AccountType": {
        "type": "string",
        "enum": [
          "CACC",
          "SLRY",
          "SVGS",
          "TRAN"
        ],
        "maxLength": 4,
        "description": "Account type: <br />\n  `CACC` - Checking account<br />\n  `SVGS` - Savings account<br />\n  `TRAN` - Transactional account (Brazil only). Also known as \"conta corrente\" in Portuguese, this is a bank account type designed for everyday financial transactions and is the most common type individuals and businesses use for day-to-day banking. <br />\n  `SLRY` - Salary account. Employer deposits a fixed amount every month.<br />\n",
        "example": "TRAN"
      },
      "AllowAttemptsAfterExpiration": {
        "type": "boolean",
        "description": "Will charge continue after due date?\n\nIf `true` the recurence will receive a `recurrence_id` starting with `RR`. Otherwise, it will start with `RN`.\n"
      },
      "Amount": {
        "type": "number",
        "description": "Amount to be transferred.",
        "example": 1050.44
      },
      "Authorization": {
        "type": "object",
        "properties": {
          "id": {
            "$ref": "#/components/schemas/AuthorizationID"
          },
          "role_type": {
            "$ref": "#/components/schemas/RoleType"
          },
          "created_at": {
            "$ref": "#/components/schemas/CreatedAt"
          },
          "updated_at": {
            "$ref": "#/components/schemas/UpdatedAt"
          },
          "account_id": {
            "$ref": "#/components/schemas/AccountID"
          },
          "recurrence_id": {
            "$ref": "#/components/schemas/RecurrenceID"
          },
          "expiration_date": {
            "$ref": "#/components/schemas/ExpirationDate"
          },
          "provider_created_at": {
            "$ref": "#/components/schemas/CreatedAt"
          },
          "provider_updated_at": {
            "$ref": "#/components/schemas/UpdatedAt"
          },
          "max_payment_amount": {
            "oneOf": [
              {
                "$ref": "#/components/schemas/MaxPaymentAmount"
              },
              {
                "$ref": "#/components/schemas/NullType"
              }
            ]
          },
          "reason_code": {
            "$ref": "#/components/schemas/AuthorizationReasonCode"
          },
          "payer": {
            "oneOf": [
              {
                "$ref": "#/components/schemas/Payer"
              },
              {
                "$ref": "#/components/schemas/NullType"
              }
            ]
          },
          "rec_payload": {
            "oneOf": [
              {
                "$ref": "#/components/schemas/RecPayload"
              },
              {
                "$ref": "#/components/schemas/NullType"
              }
            ]
          }
        }
      },
      "AuthorizationID": {
        "type": "string",
        "description": "Authorization ID the same as BACEN (Brazil Central Bank) IdSoliReq (request identification code)",
        "example": "IS0435879820240605bcdb1fhn43a"
      },
      "AuthorizationReasonCode": {
        "type": "string",
        "description": "Authorization reason code. \n\n**Note:** \"pain.009\" is a message sent to the payer when the payee starts a #1 journey (`AUT1`) Automatic Pix recurrence\n\n* `AC01` - Account not found or not belonging to the paying user\n* `AC04` - Paying user's transactional account is closed\n* `AC06` - Paying user's transactional account is blocked\n* `AP01` - Discrepancy in the field for updating periodic payments recurrence data and the periodic payments recurrence status - lack of synchronization\n* `AP02` - Paying user's CPF/CNPJ  not found or different from the one in the original pain.009. Or, in the case of cancellation, the paying user's CPF/CNPJ does not match the one contained in the perioduc payments recurrence data.\n* `AP03` - Paying user's branch not found\n* `AP04` - Invalid recurrence ID or does not match the original\n* `AP05` - Inconsistent recurrence status for periodic payments\n* `AP06` - Receiving user's CPF/CNPJ is different from the one in the pain.009 or the payload. Or, in the case of cancellation, the receiving user's CPF/CNPJ does not match the one contained in the periodic payments recurrence data.\n* `AP07` - Paying user's recurrence confirmation performed after the confirmation request's expiration or cancellation (pain.009)\n* `AP08` - First immediate payment associated with the recurrence was not identified. (Valid only for Authorization Journey 3 (`AUT3`))\n* `AP09` - Recurrence confirmation request for periodic payments was not identified to enable its cancellation\n* `AP10` - Cancellation requestor's CPF/CNPJ does not match the the paying/receiving user's or the paying/receiving PSP's identification contained in the periodic payments recurrence data.\n* `AP11` - Paying PSP's ISPB diverges from the information contained in the recurrence for periodic payments\n* `AP12` - Receiving PSP's ISPB diverges from the information contained in the recurrence for periodic payments\n* `AP13` = Paying user rejects periodic payments recurrence confirmation request due to receiving user non-recognition\n* `AP14` - Paying user rejects periodic payments recurrence confirmation request due to receiving user's lack of interest in using Pix Automatic\n* `AP15` - Paying user's participant rejects recurrence confirmation request for periodic payments as they chose not to offer Pix Automatic usage for corporate clients\n* `CH16` - Incorrect or incompatible message content with business rules\n* `MD01` - Cancellation request's recurrence object does not exist. Should not be used for cancellation requests of pain.009 with status = `PDNG`. That is, a recurrence with status = `PDNG` should be considered as an existing recurrence.\n* `MD20` - Cancellation request's recurrence object has already expired.\n",
        "enum": [
          "AC01",
          "AC04",
          "AC06",
          "AP01",
          "AP02",
          "AP03",
          "AP04",
          "AP05",
          "AP06",
          "AP07",
          "AP08",
          "AP09",
          "AP10",
          "AP11",
          "AP12",
          "AP13",
          "AP14",
          "AP15",
          "CH16",
          "MD01",
          "MD20"
        ],
        "example": "AC01"
      },
      "Bank": {
        "type": "string",
        "description": "<a href=\"https://bank.codes/numero-do-banco/bank/banco-central-do-brasil/\" target=\"_blank\">ISPB (Identifcador do Sistema de Pagamento Brazil)</a> - the Brazilian Payment System ID for the receiving bank, an 8-digit value.",
        "maxLength": 8,
        "example": "237"
      },
      "Branch": {
        "type": "string",
        "description": "This could be a bank-assigned branch ID or the branch's ISPB number.",
        "maxLength": 4,
        "example": "011"
      },
      "CityCode": {
        "type": "string",
        "minLength": 7,
        "maxLength": 7,
        "description": "\nAn <a href='https://www.ibge.gov.br/explica/codigos-dos-municipios.php' target=\"_blank\">IBGE</a> municipal code is a 7-digit numerical ID that the Brazilian Institute of Geography and Statistics (IBGE) assigns to uniquely ID each municipality and federal district in Brazil.\n",
        "example": "3550308"
      },
      "ContractID": {
        "type": "string",
        "description": "Payee-created external ID for their reference.\n",
        "maxLength": 35,
        "example": "5509-uroo-78944-9987"
      },
      "CreatedAt": {
        "type": "string",
        "format": "datetime",
        "description": "Created at datetime. RFC 3339 format \n",
        "example": "2025-11-14T17:54:40Z"
      },
      "customer.DetailMessage": {
        "type": "object",
        "properties": {
          "external": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/customer.ExternalMessage"
            }
          },
          "parameters": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/customer.ParameterMessage"
            }
          },
          "payload": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/customer.PayloadMessage"
            }
          }
        }
      },
      "customer.Error": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error's code.",
            "example": "EPT0001"
          },
          "details": {
            "$ref": "#/components/schemas/customer.DetailMessage"
          },
          "message": {
            "type": "string",
            "description": "Error's message.",
            "example": "User not found"
          }
        }
      },
      "customer.ExternalMessage": {
        "type": "object",
        "required": [
          "code",
          "message"
        ],
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code.",
            "example": "PBE315"
          },
          "message": {
            "type": "string",
            "description": "Error message.",
            "example": "Generic error"
          }
        }
      },
      "customer.ParameterMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Parameter field",
            "example": "Query parameter"
          },
          "message": {
            "type": "string",
            "description": "Message about parameter",
            "example": "Generic error"
          }
        }
      },
      "customer.PayloadMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Payload parameter",
            "example": "Entity.field"
          },
          "message": {
            "type": "string",
            "description": "Message about error",
            "example": "Generic error"
          }
        }
      },
      "Debtor": {
        "type": "object",
        "required": [
          "document_number",
          "document_type",
          "name"
        ],
        "properties": {
          "document_number": {
            "$ref": "#/components/schemas/DocumentNumber"
          },
          "document_type": {
            "$ref": "#/components/schemas/PersonType"
          },
          "name": {
            "$ref": "#/components/schemas/Name"
          }
        }
      },
      "DocumentNumber": {
        "type": "string",
        "description": "A government document number, such as a Social Security number (US) or Cadastro de Pessoas Físicas number (Brazil). Must be numeric with 11-14 digits.\n",
        "minLength": 1,
        "maxLength": 14,
        "example": "123412341234"
      },
      "ExpirationDate": {
        "type": "string",
        "format": "datetime",
        "description": "Authorization expiration date. RFC 3339 value. Format = YYYY-MM-DDThh:mm:ss.SSSZ",
        "example": "2020-08-13T13:49:03.000Z"
      },
      "FirstPaymentDate": {
        "type": "string",
        "format": "datetime",
        "description": "First charge/payment date. Format = yyyy-mm-dd",
        "example": "2025-04-25"
      },
      "FrequencyType": {
        "type": "string",
        "description": "Recurrence payment type",
        "enum": [
          "WEEK",
          "MONTH",
          "QUARTER",
          "SEMESTER",
          "YEAR"
        ],
        "example": "MONTH"
      },
      "LastID": {
        "type": "integer",
        "description": "Last returned item ID. Use this ID to get more results.",
        "example": 1602619
      },
      "MaxPaymentAmount": {
        "type": "number",
        "description": "Payer-defined maximum payment amount for dynamic amount recurrences.",
        "example": 86753.09
      },
      "MinPaymentAmount": {
        "type": "number",
        "description": "Payee-defined minimum payment amount for dynamic amount recurrences.",
        "example": 10.09
      },
      "Name": {
        "type": "string",
        "description": "Name",
        "maxLength": 200,
        "example": "Walter Melon"
      },
      "NextPage": {
        "type": "boolean",
        "description": "Are tbere more results?",
        "example": false
      },
      "NullType": {
        "title": "Null type reference",
        "description": "Used to add nullability to a ref",
        "enum": [
          null
        ]
      },
      "NumberElements": {
        "type": "number",
        "description": "Total items returned in query"
      },
      "PageSize": {
        "type": "number",
        "description": "Maximum elements returned per query."
      },
      "Payee": {
        "type": "object",
        "required": [
          "document_number",
          "document_type",
          "name",
          "bank",
          "branch",
          "account_number",
          "account_type"
        ],
        "properties": {
          "name": {
            "$ref": "#/components/schemas/Name"
          },
          "document_number": {
            "$ref": "#/components/schemas/DocumentNumber"
          },
          "document_type": {
            "$ref": "#/components/schemas/PersonType"
          },
          "bank": {
            "$ref": "#/components/schemas/Bank"
          },
          "branch": {
            "$ref": "#/components/schemas/Branch"
          },
          "account_number": {
            "$ref": "#/components/schemas/AccountNumber2"
          },
          "account_type": {
            "$ref": "#/components/schemas/AccountType"
          }
        }
      },
      "Payer": {
        "type": "object",
        "required": [
          "document_number",
          "document_type",
          "name",
          "bank",
          "branch",
          "account_number"
        ],
        "properties": {
          "document_number": {
            "$ref": "#/components/schemas/DocumentNumber"
          },
          "document_type": {
            "$ref": "#/components/schemas/PersonType"
          },
          "name": {
            "$ref": "#/components/schemas/Name"
          },
          "bank": {
            "$ref": "#/components/schemas/Bank"
          },
          "branch": {
            "$ref": "#/components/schemas/Branch"
          },
          "account_number": {
            "$ref": "#/components/schemas/AccountNumber2"
          },
          "account_type": {
            "$ref": "#/components/schemas/AccountType"
          },
          "city_code": {
            "$ref": "#/components/schemas/CityCode"
          }
        }
      },
      "PersonType": {
        "type": "string",
        "description": "Person type:  \n* `LEGAL_PERSON` - An actual person with legal rights.\n* `NATURAL_PERSON` - An entity, such as an organization or company.\n",
        "enum": [
          "LEGAL_PERSON",
          "NATURAL_PERSON"
        ],
        "example": "NATURAL_PERSON"
      },
      "QueryFilters": {
        "type": "object",
        "properties": {
          "label": {
            "type": "string",
            "description": "Filter label"
          },
          "value": {
            "type": "string",
            "description": "Filter value"
          },
          "operator": {
            "type": "string",
            "description": "Filter operator"
          }
        },
        "description": "Filters used in  query",
        "example": {
          "label": "status",
          "value": "CREATED"
        }
      },
      "RecurrenceDescription": {
        "type": "string",
        "description": "Recurrence payment description",
        "maxLength": 35,
        "example": "Gym membership"
      },
      "RecPayload": {
        "type": "object",
        "properties": {
          "recurrence_id": {
            "$ref": "#/components/schemas/RecurrenceID"
          },
          "contract_id": {
            "$ref": "#/components/schemas/ContractID"
          },
          "description": {
            "$ref": "#/components/schemas/RecurrenceDescription"
          },
          "amount": {
            "$ref": "#/components/schemas/Amount"
          },
          "min_payment_amount": {
            "$ref": "#/components/schemas/MinPaymentAmount"
          },
          "frequency_type": {
            "$ref": "#/components/schemas/FrequencyType"
          },
          "allow_attempts_after_expiration": {
            "$ref": "#/components/schemas/AllowAttemptsAfterExpiration"
          },
          "first_payment_date": {
            "$ref": "#/components/schemas/FirstPaymentDate"
          },
          "payee": {
            "$ref": "#/components/schemas/Payee"
          },
          "debtor": {
            "$ref": "#/components/schemas/Debtor"
          }
        }
      },
      "RecurrenceID": {
        "type": "string",
        "description": "BACEN recurrence ID",
        "example": "RN000000012025050500012345678"
      },
      "RoleType": {
        "type": "string",
        "description": "Role type",
        "enum": [
          "PAYEE",
          "PAYER"
        ]
      },
      "UpdatedAt": {
        "type": "string",
        "description": "Scheduled item last updated time, RFC 3339 format",
        "example": "2024-11-14T17:54:40Z"
      }
    },
    "responses": {
      "400BadRequest": {
        "description": "Bad request",
        "headers": {
          "x-cid": {
            "description": "Request tracking ID.",
            "schema": {
              "type": "string"
            }
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/customer.Error"
            }
          }
        }
      },
      "401Unauthorized": {
        "description": "Unauthorized. Missing or invalid authentication token.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/customer.Error"
            }
          }
        }
      },
      "404NotFound": {
        "description": "Not found",
        "headers": {
          "x-cid": {
            "description": "Request tracking ID.",
            "schema": {
              "type": "string"
            }
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/customer.Error"
            }
          }
        }
      },
      "500InternalServer": {
        "description": "Internal Server Error",
        "headers": {
          "x-cid": {
            "description": "Request tracking ID.",
            "schema": {
              "type": "string"
            }
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/customer.Error"
            }
          }
        }
      }
    }
  },
  "paths": {
    "/inst-pull-pay/v1/pix/automatic/authorizations": {
      "get": {
        "summary": "List recurrence authorizations",
        "description": "List Pix Automatic recurrence authorizations. By default, recurrences authorizations from the last 30 days with 20 records per page are returned, but you can use the `beginDate` and `endDate` query parameters to specify a different date range.\n",
        "operationId": "list-authorizations",
        "tags": [
          "Automatic Pix data"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/AuthHeader"
          },
          {
            "$ref": "#/components/parameters/AutomaticPixExecutionStatusQuery"
          },
          {
            "$ref": "#/components/parameters/RoleTypeQuery"
          },
          {
            "$ref": "#/components/parameters/PerPageQuery"
          },
          {
            "$ref": "#/components/parameters/AfterIdQuery"
          },
          {
            "$ref": "#/components/parameters/BeginDateQueryOptional"
          },
          {
            "$ref": "#/components/parameters/EndDateQueryOptional"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "items": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/Authorization"
                      }
                    },
                    "page_size": {
                      "$ref": "#/components/schemas/PageSize"
                    },
                    "number_elements": {
                      "$ref": "#/components/schemas/NumberElements"
                    },
                    "next_page": {
                      "$ref": "#/components/schemas/NextPage"
                    },
                    "last_id": {
                      "$ref": "#/components/schemas/LastID"
                    },
                    "filters": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/QueryFilters"
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/400BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/401Unauthorized"
          },
          "404": {
            "$ref": "#/components/responses/404NotFound"
          },
          "500": {
            "$ref": "#/components/responses/500InternalServer"
          }
        }
      }
    }
  }
}
```